import { ReactElement } from 'react';
import { Provider } from 'react-redux';
import { store } from '../../store';

export const ProviderSwitch = ({ active, children }: {
  active: boolean,
  children: ReactElement,
}) => {
  return active ? (
    <Provider store={store}>
      {children}
    </Provider>
  ) : children;
};
